#!/bin/bash
#添加好所有的源，不要升级。
#sudo apt-get update

#删除所有的包
rm -fr down.sh
touch down.sh
chmod +x down.sh
echo "#!/bin/bash" >> down.sh

#创建pack目录
echo "mkdir pack">> down.sh
echo "cd pack">> down.sh

#下载文档
echo "wget -O doc/Gutsy快速设置指南.html http://wiki.ubuntu.org.cn/index.php?title=%E5%BF%AB%E9%80%9F%E8%AE%BE%E7%BD%AE%E6%8C%87%E5%8D%97/GutsyGibbon&variant=zh-cn">>down.sh
echo "wget -O doc/Gutsy非官方参考手册.html http://wiki.ubuntu.org.cn/index.php?title=Ubuntu:Gutsy&variant=zh-cn">>down.sh
echo "wget -O doc/Ubuntu桌面入门指南.html http://wiki.ubuntu.org.cn/index.php?title=Ubuntu%E6%A1%8C%E9%9D%A2%E5%85%A5%E9%97%A8%E6%8C%87%E5%8D%97&variant=zh-cn">>down.sh
echo "wget -O doc/Ubuntu技巧.html http://wiki.ubuntu.org.cn/index.php?title=UbuntuSkills&variant=zh-cn">>down.sh

#下载升级包
for url in `apt-get -qq --print-uris dist-upgrade|cut -d\' -f2`
do
echo "wget -c -x -p --directory-prefix=base $url">>down.sh
done

#下载语言包
for url in `apt-get -qq --print-uris install language-pack-zh language-pack-zh-base language-pack-gnome-zh language-pack-gnome-zh-base language-support-zh im-switch fcitx xpdf-chinese-simplified xpdf-chinese-traditional|cut -d\' -f2`
do
echo "wget -c -x -p --directory-prefix=base $url">>down.sh
done

#下载编译环境
for url in `apt-get -qq --print-uris install alien build-essential|cut -d\' -f2`
do
echo "wget -c -x -p --directory-prefix=base $url">>down.sh
done

#下载所有私有软件包
for url in `apt-get -qq --print-uris install ubuntu-restricted-extras|cut -d\' -f2`
do
echo "wget -c -x -p --directory-prefix=base $url">>down.sh
done

#下载多媒体包
for url in `apt-get -qq --print-uris install mplayer w32codecs mencoder totem-xine xine-plugin libxine1-ffmpeg|cut -d\' -f2`
do
echo "wget -c -x -p --directory-prefix=base $url">>down.sh
done

#下载词典
for url in `apt-get -qq --print-uris install stardict stardict-langdao-ce-gb stardict-langdao-ec-gb stardict-xdict-ce-gb stardict-xdict-ec-gb stardict-cdict-gb stardict-cedict-gb|cut -d\' -f2`
do
echo "wget -c -x -p --directory-prefix=base $url">>down.sh
done

#工具类
for url in `apt-get -qq --print-uris install wine virtualbox p7zip-full p7zip-rar |cut -d\' -f2`
do
echo "wget -c -x -p --directory-prefix=base $url">>down.sh
done

#网络类
for url in `apt-get -qq --print-uris install tor privoxy |cut -d\' -f2`
do
echo "wget -c -x -p --directory-prefix=base $url">>down.sh
done

#创建安装包
echo "mkdir -p base/dists/gutsy/main/binary-i386/">>down.sh
echo "dpkg-scanpackages base /dev/null > base/dists/gutsy/main/binary-i386/Packages">>down.sh

#Server服务类
for url in `apt-get -qq --print-uris install apache2 php5 mysql-server php5-mysql libapache2-mod-php5 vsftpd ssh postfix |cut -d\' -f2`
do
echo "wget -c -x -p --directory-prefix=server $url">>down.sh
done

#邮件
for url in `apt-get -qq --print-uris install dovecot-imapd dovecot-pop3d clamav-daemon spamassassin |cut -d\' -f2`
do
echo "wget -c -x -p --directory-prefix=server $url">>down.sh
done
echo "mkdir -p server/dists/gutsy/main/binary-i386/">>down.sh
echo "dpkg-scanpackages server /dev/null > server/dists/gutsy/main/binary-i386/Packages">>down.sh

#Program
#Java相关
for url in `apt-get -qq --print-uris install eclipse eclipse-pydev eclipse-cdt eclipse-jdt eclipse-rcp netbeans6.0 netbeans6.0-platform sun-java6-jdk |cut -d\' -f2`
do
echo "wget -c -x -p --directory-prefix=program $url">>down.sh
done

#其它编程相关
for url in `apt-get -qq --print-uris install bouml dia  |cut -d\' -f2`
do
echo "wget -c -x -p --directory-prefix=program $url">>down.sh
done

#emacs22
for url in `apt-get -qq --print-uris install emacs22 emacs22-gtk emacs-extra emacs-goodies-el emacs-intl-fonts |cut -d\' -f2`
do
echo "wget -c -x -p --directory-prefix=program $url">>down.sh
done
echo "mkdir -p program/dists/gutsy/main/binary-i386/">>down.sh
echo "dpkg-scanpackages program /dev/null > program/dists/gutsy/main/binary-i386/Packages">>down.sh

#打包目录
#由于包都是压缩的，就不再次压缩，仅仅打包
echo "rm *.tar">> down.sh
echo "tar -cvf doc.tar doc">> down.sh
echo "tar -cvf base.tar base">> down.sh
echo "tar -cvf server.tar server">> down.sh
echo "tar -cvf program.tar program">> down.sh

